#!/usr/bin/env python
# -*- coding: utf-8 -*-

try:
 	import pygtk
  	pygtk.require("2.0")
except:
  	pass
try:
	import gtk
  	import gtk.glade
	import gobject
	import gtk.gdk
except:
	sys.exit(1)

import gladeWindow

class DeleteMessageDialog(gladeWindow.GladeWindow):

	def __init__(self, subject, sender):
		#Initialize GUI
		gladeWindow.GladeWindow.__init__(self, "raptormail.glade", "DeleteMessageDialog")
		self.ContentLabel.set_text("<b>Do you really want to delete:</b>\n" + gobject.markup_escape_text(subject) + " from <i>" + gobject.markup_escape_text(sender) + "</i>\n\nMessage will be deleted permanetly, once synchronised. It will also be marked for deletion at GMail, however, it may take 30 days for it to disappear from your trash folder in GMail unless you manually remove it.")
		self.ContentLabel.set_use_markup(True)

	def run(self):
		"""Runs the dialog and return something above 0 if it is to be deleted"""
		self.result = self.DeleteMessageDialog.run()
		self.DeleteMessageDialog.destroy()
		return self.result
