import sys
import os
import shelve

import gobject
try:
	import pygtk
	pygtk.require("2.0")
except:
	pass
try:
	import gtk
	import gtk.glade
except:
	sys.exit(1)

import gladeWindow

class Manual(gladeWindow.GladeWindow):
	def __init__(self):
		gladeWindow.GladeWindow.__init__(self, "manual.glade", "MainManual")
		
		global HeadlineArray
		HeadlineArray = ['RaptorMail','Sending email','Receiving emails','Replying an email','Encryption and signing','Applying a label','Index','Viewing email by labels','Archivation','Deletion','Appearance','Back and forth in conversation','Exit']
		
		#Creates the columen in the treeview
		col = gtk.TreeViewColumn("   Manual for RaptorMail", gtk.CellRendererText(), text=0)
		self.treeview1.append_column(col)
		#creates a storage for the labels that go into the treeview
		self.treestore = gtk.TreeStore(str)
		#Every label is appened
		for i in range(0,len(HeadlineArray)):
			self.iter = self.treestore.append(None, [HeadlineArray[i]])
		#The labels are put into the treeview
		self.treeview1.set_model(self.treestore)
		
		
	def TreeviewSelection(self, treeview = None, path = None, view_column = None):
		#The funtion is initated when the curser is changed. It saves the model of the selected label in model, and the iter in select_iter
		model, select_iter = self.treeview1.get_selection().get_selected()
		#If both of them have a value this is executed
		if model and select_iter:
			#label now contains the name of the label
			label = model.get_value(select_iter, 0)
			#If the label is what expected, we change to the correct tab
			if label == HeadlineArray[0]:
				self.notebook1.set_current_page(0)
			elif label == HeadlineArray[1]:
				self.notebook1.set_current_page(1)
			elif label == HeadlineArray[2]:
				self.notebook1.set_current_page(2)
			elif label == HeadlineArray[3]:
				self.notebook1.set_current_page(3)
			elif label == HeadlineArray[4]:
				self.notebook1.set_current_page(4)
			elif label == HeadlineArray[5]:
				self.notebook1.set_current_page(5)
			elif label == HeadlineArray[6]:
				self.notebook1.set_current_page(6)
			elif label == HeadlineArray[7]:
				self.notebook1.set_current_page(7)
			elif label == HeadlineArray[8]:
				self.notebook1.set_current_page(8)
			elif label == HeadlineArray[9]:
				self.notebook1.set_current_page(9)
			elif label == HeadlineArray[10]:
				self.notebook1.set_current_page(10)
			elif label == HeadlineArray[11]:
				self.notebook1.set_current_page(11)
			elif label == HeadlineArray[12]:
				self.notebook1.set_current_page(12)
			elif label == HeadlineArray[13]:
				self.notebook1.set_current_page(13)
	
	def on_Manual_destroy(self, widget):
		self.MainManual.destroy()

if __name__ == "__main__":
	Manual()
	gtk.main()
