#!/usr/bin/env python
# -*- coding: utf-8 -*-

try:
 	import pygtk
  	pygtk.require("2.0")
except:
  	pass
try:
	import gtk
  	import gtk.glade
	import gobject
	import gtk.gdk
except:
	sys.exit(1)

import gladeWindow

class ApplyLabelDialog(gladeWindow.GladeWindow):

	def __init__(self, labels):
		#Initialize GUI
		gladeWindow.GladeWindow.__init__(self, "raptormail.glade", "ApplyLabelDialog")

		#Create entry completion
		self.Completion = gtk.EntryCompletion()
		self.LabelEntry.set_completion(self.Completion)

		self.Store = gtk.ListStore(str)
		self.Completion.set_model(self.Store)
		self.Completion.set_text_column(0)
		self.Completion.set_match_func(self.match_func)

		for label in labels:
			if not label.startswith("[Gmail]/") or label == "[Gmail]/Starred":
				self.Store.append([label])

	def match_func(self, completion, key, it):
		model = completion.get_model()
		text = model.get_value(it, 0)
		return key in text

	def run(self):
		"""Runs the dialog and return something above 0 if label is to be applied"""
		self.result = self.ApplyLabelDialog.run()
		self.labelname = self.LabelEntry.get_text()
		self.ApplyLabelDialog.destroy()
		return self.result, self.labelname
